[необов’язково] Відділення
Відділення (Філії) використовуються, щоб розділити працівників, клієнтів і облікові записи
Отримання списку відділень та їх загальну кількість
Get branches list and total branches count
Path parameters
counterparty_guidstringRequired
Counterparty GUID
Query parameters
namesstring[]Optional
branches names filter (string)
guidsstring[]Optional
branches guids filter (uuid)
limitintegerOptional
limit (int)
offsetintegerOptional
offset (int)
orderstring · enumOptionalPossible values:
list order (string)
Responses
200
OK
application/json
totalintegerOptional
Total all branches count for pagination
400
json with error msg
application/json
get
/counterparty/{counterparty_guid}/branchesСтворення відділення
Отримання даних відділення
Get branch
Path parameters
counterparty_guidstringRequired
Counterparty GUID
branch_guidstringRequired
branch guid (uuid)
Responses
200
OK
application/json
counterparty_guidstringOptional
branch counterparty guid
created_atstringOptional
guidstringOptional
branch guid
is_deletedbooleanOptional
namestringOptional
branch name
updated_atstringOptional
400
json with error msg
application/json
get
/counterparty/{counterparty_guid}/branches/{branch_guid}Оновлення даних віддлення
Update branch
Path parameters
counterparty_guidstringRequired
Counterparty GUID
branch_guidstringRequired
branch guid (uuid)
Body
is_deletedbooleanOptional
namestringOptional
Responses
200
OK
application/json
objectOptional
400
json with error msg
application/json
put
/counterparty/{counterparty_guid}/branches/{branch_guid}Last updated